Maven Surefire
  1. Maven Surefire
  2. SUREFIRE-819

Surefire 2.11 fails if useManifestOnlyJar is false

    Details

    • Type: Bug Bug
    • Status: Closed Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 2.11
    • Fix Version/s: 2.12
    • Component/s: None
    • Labels:
      None
    • Complexity:
      Intermediate
    • Number of attachments :
      0

      Description

      When I tried to upgrade Avro (http://svn.apache.org/repos/asf/avro/trunk/lang/java) from surefire 2.10 to 2.11, I found that every single test failed. They all fail with initializationErrors such as

      initializationError(org.apache.avro.io.parsing.TestResolvingGrammarGenerator): Test class should have exactly one public zero-argument constructor
      initializationError(org.apache.avro.io.parsing.TestResolvingGrammarGenerator): No runnable methods

      These are valid JUnit 4 type tests that run fine with 2.10. We have JUnit 4.10 in our test scope.

      If I change useManifestOnlyJar to true, it works. Unfortunately one of our tests will not function with the manifectOnlyJar.

        Activity

        Hide
        Kristian Rosenvold added a comment -

        Please test 2.12-SNAPSHOT, there is a bugfix for a similar categeory of problem already.

        Show
        Kristian Rosenvold added a comment - Please test 2.12-SNAPSHOT, there is a bugfix for a similar categeory of problem already.
        Hide
        Scott Carey added a comment -

        Is there a surefire snapshot repository? Or do I have to check out and build it? If there is a snapshot repository, I can check that quickly and report back. If not it will be a few weeks before I can get to it.

        Show
        Scott Carey added a comment - Is there a surefire snapshot repository? Or do I have to check out and build it? If there is a snapshot repository, I can check that quickly and report back. If not it will be a few weeks before I can get to it.
        Hide
        Scott Carey added a comment -

        I can confirm that this works for me in 2.12, and fails with 2.11.

        Show
        Scott Carey added a comment - I can confirm that this works for me in 2.12, and fails with 2.11.

          People

          • Assignee:
            Unassigned
            Reporter:
            Scott Carey
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: